Subject: bug#56882: closed (Re: bug#56882: [PATCH 0/4] build-system/perl: Support some cross-compilation, and test with xdg-utils)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 06 Aug 2022 16:26:02 +0000

Your bug report

#56882: [PATCH 0/4] build-system/perl: Support some cross-compilation, and test with xdg-utils

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
56882: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=56882
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#56882: [PATCH 0/4] build-system/perl: Support some cross-compilation, and test with xdg-utils
From: Mathieu Othacehe <[email-masked]>
To: Maxime Devos <[email-masked]>
Cc: [email-masked]
Date: Sat, 06 Aug 2022 18:25:39 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Maxime,

> Supporting cross-compilation of xdg-utils opens the way to trying
> cross-compilation of Qt things.
>
> Things like XS are unsupported -- going by
> https://arsv.github.io/perl-cross/modules.html and the web page that states
> that external modules need to be copied into Perl first (but which I cannot
> find anymore), it sounds rather complicated.

At least that's a very good start :) I fixed some long lines before pushing.

Thanks,

Mathieu

Subject: [PATCH 0/4] build-system/perl: Support some cross-compilation, and test with xdg-utils
From: Maxime Devos <[email-masked]>
To: [email-masked]
Date: Tue, 2 Aug 2022 13:54:18 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Supporting cross-compilation of xdg-utils opens the way to trying 
cross-compilation of Qt things.

Things like XS are unsupported -- going by 
https://arsv.github.io/perl-cross/modules.html and the web page that 
states that external modules need to be copied into Perl first (but 
which I cannot find anymore), it sounds rather complicated.

Greeetings,
Maxime.